@REM This file contains the commands needed to compile and jar the HelloWorld EJB
@ECHO Compiling and packaging HelloWorld EJB...........
@cls

@REM Set the variable homedir to the directory that contains jboss and IS7
@SET homedrive=M:
@SET homedir=M:\jdb042

@REM Go to the right directory
@%homedrive%
@cd %homedir%

@REM Remove the old HelloWorld.jar file
del HelloWorld.jar

@REM Compile all the java files in the IS7.hello package (the HelloWorld EJB)
javac IS7\hello\*.java -classpath .;%homedir%\jboss\server\default\lib\jboss-ejb3x.jar;%homedir%\jboss\server\default\lib\jboss-j2ee.jar

@REM Add class files to HelloWorld.jar
jar cMvf HelloWorld.jar IS7\hello\*.class


@REM create interface jar HelloWorldInterface.jar for the client
jar cMvf HelloWorldInterface.jar IS7\hello\HelloWorld.class 

@REM Copy HelloWorld.jar to JBoss server for deployment 
copy HelloWorld.jar %homedir%\jboss\server\default\deploy

pause
