@REM This file contains the commands needed to compile and jar the BookMgr EJB
@ECHO Compiling and packaging BookMgr EJB...........
@cls


@REM Set the variable homedir to the directory that contains jboss and IS7
@SET homedrive=M:
@SET homedir=M:\jdb042

@REM Go to the directory
@%homedrive%
@cd %homedir%

@REM Remove the old BookMgr.jar file
@del BookMgr.jar

@REM Compile all the java files in the IS7.bookdb package (the BookMgr EJB)
javac IS7\bookdb\Book.java 
javac IS7\bookdb\bookmgr\*.java -classpath .;%homedir%\jboss\server\default\lib\jboss-ejb3x.jar;%homedir%\jboss\server\default\lib\jboss-j2ee.jar

@REM Add class files to BookMgr.jar
jar cMvf BookMgr.jar IS7\bookdb\Book.class IS7\bookdb\bookmgr\*.class

@REM create interface jar BookMgrInterface.jar for the client
jar cMvf BookMgrInterface.jar IS7\bookdb\Book.class IS7\bookdb\bookmgr\BookMgr.class 

@REM Copy BookMgr.jar to JBoss server for deployment 
copy BookMgr.jar %homedir%\jboss\server\default\deploy

pause